Subject: Re: [PATCH v3 0/2] Fix two hook conversion regressions

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jan 2026 06:15:16 -0800

Adrian Ratiu <[email-masked]> writes:

> Hello everyone,
>
> This series fixes 2 regressions reported by Chris and Kristoffer,
> introduced by the 'ar/run-command-hook' merge into master.
>
> Based on a discussion with Peff on v2, I do plan to revisit and
> rework the server-side hook I/O polling & batching logic, however
> that will be a separate patch unrelated to these two regressions.

I've read these two over once again, and am inclined to say that we
should merge these in upcoming 2.53 release.  Opinions?

Thanks.